Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::StackObject Class Reference

A C++ base class for automatic (or stack) objects. More...

`#include <inti/stackobject.h>`

Inheritance diagram for Inti::StackObject:

List of all members.

## Public Member Functions

Constructors

- ~StackObject ()
    Destructor.

## Protected Member Functions

Constructors

- StackObject ()
    Construct a new stack object.

## Detailed Description

A C++ base class for automatic (or stack) objects.

StackObject is a base class for automatic (or stack) objects. The purpose of this class is to declare 'operator new' and 'operator delete' private, thereby forcing derived objects to be created on the stack.

The documentation for this class was generated from the following file:

- stackobject.h

Main Page - Footer